Name:		gnome-kerberos
Version: 0.3.2
Release: 2mdk
License:	GPL
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	krb5-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	popt-devel
BuildRequires:	texinfo
BuildRequires:  desktop-file-utils
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_icons.tar.bz2
Summary:	Kerberos 5 tools for GNOME.

%description
This package contains krb5, a tool for managing Kerberos 5 tickets, and
gkadmin, a tool for managing Kerberos realms that uses the kadmin protocols.

%prep
%setup -q -a 1

%build
# never call autoconf. configure.in and configure are out of sync.
%configure --with-krb5=%{_sysconfdir}/kerberos
%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/
mv $RPM_BUILD_ROOT%{_datadir}/applications/redhat-krb5.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/krb5.desktop

rm -rf RPM_BUILD_ROOT%{_datadir}/applications

%find_lang %name

#icons entries
install -m644 %{name}-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{name}-32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{name}-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#%menu entries 
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/krb5" needs="x11" \
icon="%{name}.png" section="Networking/Other" \
title="Gnome-Kerberos" longtitle="Gnome-Kerberos"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS ChangeLog INSTALL ABOUT-NLS
%{_datadir}/gnome/apps/Utilities/krb5.desktop
%{_datadir}/pixmaps/kerberos.png
%{_datadir}/%{name}/
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_bindir}/*

%changelog
* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Wed Sep 03 2003 Florin <florin@mandrakesoft.com> 0.3.1-1mdk
- 0.3.2
- move to contribs as it depends on desktop-file-utils

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-5mdk
- buildrequires fix

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-4mdk
- rebuild against new kerberos

* Thu Jul 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-3mdk
- cosmetics
- macroize

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 0.3.1-2mdk
- fix the menu entry

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 0.3-2mdk
- BuildRequires

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 0.3-1mdk
- 0.3
- remove the patch
- update the requires

* Thu Feb 28 2002 Geoffrey Lee <snailtalk@mandarkesoft.com> 0.2.2-2mdk
- Don't make it require a non-versioned tcl.

* Thu Aug 09 2001 Florin <florin@mandrakesoft.com> 0.2.2-1mdk
- Mandrake version
- Buildrequires gnome-libs-devel, automake, autoconf, texinfo

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Fri Jan 05 2001 Yukihiro Nakai <ynakai@redhat.com>
- Gettextized
- Add Japanese resources

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against 1.2.1
- return a reasonable error code from krb5
- fix connecting to non-default kadmin servers in gkadmin (#16744)

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against 1.2 (release 3)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS adjustments

* Thu Jan 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- make new principal password prompts hidden, fix title bar in gkadmin
- rename gkadmin's .desktop to Kerberos Administration

* Thu Jan  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial version goes in to CVS
